Skip to content
Ona Docs

UpdateProjectPolicy

POST/gitpod.v1.ProjectService/UpdateProjectPolicy

Updates an existing project policy.

Use this method to:

  • Modify access levels
  • Change group roles
  • Update permissions

Examples

  • Update policy role:

    Changes a group’s access level.

    projectId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
    groupId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
    role: PROJECT_ROLE_EDITOR
Body ParametersJSONExpand Collapse
groupId: optional string

group_id specifies the group_id identifier

formatuuid
projectId: optional string

project_id specifies the project identifier

formatuuid
role: optional ProjectRole
One of the following:
"PROJECT_ROLE_UNSPECIFIED"
"PROJECT_ROLE_ADMIN"
"PROJECT_ROLE_USER"
"PROJECT_ROLE_EDITOR"
ReturnsExpand Collapse
policy: optional ProjectPolicy { groupId, role }
groupId: optional string
formatuuid
role: optional ProjectRole

role is the role assigned to the group

One of the following:
"PROJECT_ROLE_UNSPECIFIED"
"PROJECT_ROLE_ADMIN"
"PROJECT_ROLE_USER"
"PROJECT_ROLE_EDITOR"

UpdateProjectPolicy

curl https://app.gitpod.io/api/gitpod.v1.ProjectService/UpdateProjectPolicy \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "policy": {
    "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "role": "PROJECT_ROLE_UNSPECIFIED"
  }
}
Returns Examples
{
  "policy": {
    "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "role": "PROJECT_ROLE_UNSPECIFIED"
  }
}